<?xml version="1.0" encoding="UTF-8"?>
<HPREADJPOSITION desc_thai="ทะเบียนประวัติการปรับตำแหน่งย้อนหลัง" desc_eng="Pre Adding Adjusted Position History" editcheck="true" mainhelp="HPREADJPOSITIONHELP" 
referhelp="HPREADJPOSITIONHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true"  dependlevel="false"  config_field="">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="Text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<LINE_NO lang="A" encrypt="false" verify="false" log="false" type="Integer">
			
			<WIDTH>3</WIDTH>
			<DESC_ENG>Line no</DESC_ENG>
			<DESC_THAI>ลำดับที่</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<SIZE>3</SIZE>
				<MAXSIZE>3</MAXSIZE>
				<ALT_THAI>ลำดับที่</ALT_THAI>
				<ALT_ENG>Line no</ALT_ENG>
			</COMPONENT>
		</LINE_NO>

		<NEWEMPLOYEEID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>New Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงานใหม่</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>New Employee ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงานใหม่</ALT_THAI>
			</COMPONENT>
		</NEWEMPLOYEEID>
		
		<SIGNBY lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<RELATION>V1MEMPLOYEE</RELATION>
			<DESC_ENG>Signed By</DESC_ENG>
			<DESC_THAI>ผู้ลงนาม</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_THAI>ผู้ลงนาม</ALT_THAI>
				<ALT_ENG>Signed By</ALT_ENG>
			</COMPONENT>
		</SIGNBY>	
		<DOC_NO lang="A" encrypt="false" log="false" type="String">
			<WIDTH>30</WIDTH>
			<DESC_ENG>Document Number</DESC_ENG>
			<DESC_THAI>เลขที่คำสั่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>30</MAXSIZE>
				<SIZE>30</SIZE>
				<ALT_ENG>Document Number</ALT_ENG>
				<ALT_THAI>เลขที่คำสั่ง</ALT_THAI>
			</COMPONENT>
		</DOC_NO>

		<ADJ_REASON lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MADJREASON</RELATION>
			<DESC_ENG>Movement reason</DESC_ENG>
			<DESC_THAI>เหตุผลการเคลื่อนไหว</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>เหตุผลการเคลื่อนไหว</ALT_THAI>
				<ALT_ENG>Movement reason</ALT_ENG>
			</COMPONENT>
		</ADJ_REASON>	
		<ADJ_TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Movement Type</DESC_ENG>
			<DESC_THAI>ประเภทการเคลื่อนไหว</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="list">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>2</SIZE>
				<ALT_THAI>ประเภทการเคลื่อนไหว</ALT_THAI>
				<ALT_ENG>Movement Type</ALT_ENG>
				<DEFAULTVALUE>25</DEFAULTVALUE>
				<VALIDCODE>ADJ_TYPE</VALIDCODE>
				<BLANKOPTION> true</BLANKOPTION>
			</COMPONENT>
		</ADJ_TYPE>

		<REQUESTID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>20</WIDTH>
			<DESC_ENG>Request ID</DESC_ENG>
			<DESC_THAI>เลขที่เอกสาร</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>20</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<ALT_THAI>เลขที่เอกสาร</ALT_THAI>
				<ALT_ENG>Request ID</ALT_ENG>
			</COMPONENT>
		</REQUESTID>
		<ADJ_DATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Issued Date</DESC_ENG>
			<DESC_THAI>วันที่ปรับตำแหน่ง</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="calendar">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันที่ปรับตำแหน่ง</ALT_THAI>
				<ALT_ENG>Issued Date</ALT_ENG>
			</COMPONENT>
		</ADJ_DATE>
		<EFF_DATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<KEY>3</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="calendar">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
				<ALT_ENG>Effective Date</ALT_ENG>
			</COMPONENT>
		</EFF_DATE>

		<MODIFY_FIELD lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>250</WIDTH>
			<DESC_ENG>Modify Field</DESC_ENG>
			<DESC_THAI>ฟิดล์ที่แก้ไข</DESC_THAI>
			<COMPONENT type="hidden">
				<MAXSIZE>250</MAXSIZE>
				<SIZE>250</SIZE>
				<ALT_ENG>Modify Field</ALT_ENG>
				<ALT_THAI>ฟิดล์ที่แก้ไข</ALT_THAI>
			</COMPONENT>
		</MODIFY_FIELD>	
		<REMARKS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>250</WIDTH>
			<DESC_ENG>Remark</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>4</LINES>
				<ALT_ENG>Remark</ALT_ENG>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
			</COMPONENT>
		</REMARKS>
				
		<STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Employee Status</DESC_ENG>
			<DESC_THAI>สถานะพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>A</DEFAULTVALUE>
				<ALT_ENG>Employee Status</ALT_ENG>
				<ALT_THAI>สถานะพนักงาน</ALT_THAI>
				<VALIDCODE>EMPLOYEE_STATUS</VALIDCODE>
			</COMPONENT>
		</STATUS>
			
		<EMP_TYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Employee Type</DESC_ENG>
			<DESC_THAI>ประเภทพนักงาน</DESC_THAI>
			<COMPONENT type="list">
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Employee Type</ALT_ENG>
				<ALT_THAI>ประเภทพนักงาน</ALT_THAI>
				<VALIDCODE>EMPTYPE</VALIDCODE>
			</COMPONENT>
		</EMP_TYPE>

		<TBRANCH lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBRANCH</REFER_LANG>
			<DESC_ENG>Company Branch</DESC_ENG>
			<DESC_THAI>สาขา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Company Branch</ALT_ENG>
				<ALT_THAI>สาขา</ALT_THAI>
			</COMPONENT>
		</TBRANCH>
		<EBRANCH lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBRANCH</REFER_LANG>
			<DESC_ENG>Company Branch</DESC_ENG>
			<DESC_THAI>สาขา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Company Branch</ALT_ENG>
				<ALT_THAI>สาขา</ALT_THAI>
			</COMPONENT>
		</EBRANCH>

		<TBRANCH_NO lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBRANCH_NO</REFER_LANG>
			<DESC_ENG>Branch Social No</DESC_ENG>
			<DESC_THAI>รหัสสาขาประกันสังคม</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Branch Social No</ALT_ENG>
				<ALT_THAI>รหัสสาขาประกันสังคม</ALT_THAI>
			</COMPONENT>
		</TBRANCH_NO>
		<EBRANCH_NO lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBRANCH_NO</REFER_LANG>
			<DESC_ENG>Branch Social No</DESC_ENG>
			<DESC_THAI>รหัสสาขาประกันสังคม</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Branch Social No</ALT_ENG>
				<ALT_THAI>รหัสสาขาประกันสังคม</ALT_THAI>
			</COMPONENT>
		</EBRANCH_NO>
	
		<TBRANCH_TITLEID lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBRANCH_TITLEID</REFER_LANG>
			<DESC_ENG>Branch Title</DESC_ENG>
			<DESC_THAI>ระดับตำแหน่งสาขา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Branch Title</ALT_ENG>
				<ALT_THAI>ระดับตำแหน่งสาขา</ALT_THAI>
			</COMPONENT>
		</TBRANCH_TITLEID>
		<EBRANCH_TITLEID lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBRANCH_TITLEID</REFER_LANG>
			<DESC_ENG>Branch Title</DESC_ENG>
			<DESC_THAI>ระดับตำแหน่งสาขา</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Branch Title</ALT_ENG>
				<ALT_THAI>ระดับตำแหน่งสาขา</ALT_THAI>
			</COMPONENT>
		</EBRANCH_TITLEID>
	
		<TJOB lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EJOB</REFER_LANG>
			<DESC_ENG>Job Title</DESC_ENG>
			<DESC_THAI>รายละเอียดงาน</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Job Title</ALT_ENG>
				<ALT_THAI>รายละเอียดงาน</ALT_THAI>
			</COMPONENT>
		</TJOB>
		<EJOB lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TJOB</REFER_LANG>
			<DESC_ENG>Job Type</DESC_ENG>
			<DESC_THAI>รายละเอียดงาน</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Job Type</ALT_ENG>
				<ALT_THAI>รายละเอียดงาน</ALT_THAI>
			</COMPONENT>
		</EJOB>
	
		<TEMP_POSITION lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EEMP_POSITION</REFER_LANG>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</TEMP_POSITION>
		<EEMP_POSITION lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TEMP_POSITION</REFER_LANG>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</EEMP_POSITION>
	
		<TBU1 lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBU1</REFER_LANG>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 1</ALT_THAI>
				<ALT_ENG>Business Unit 1</ALT_ENG>
			</COMPONENT>
		</TBU1>
		<EBU1 lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBU1</REFER_LANG>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 1</ALT_THAI>
				<ALT_ENG>Business Unit 1</ALT_ENG>
			</COMPONENT>
		</EBU1>
		
		<TBU2 lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBU2</REFER_LANG>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 2</ALT_THAI>
				<ALT_ENG>Business Unit 2</ALT_ENG>
			</COMPONENT>
		</TBU2>
		<EBU2 lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBU2</REFER_LANG>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 2</ALT_THAI>
				<ALT_ENG>Business Unit 2</ALT_ENG>
			</COMPONENT>
		</EBU2>
	
		<TBU3 lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBU3</REFER_LANG>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 3</ALT_THAI>
				<ALT_ENG>Business Unit 3</ALT_ENG>
			</COMPONENT>
		</TBU3>
		<EBU3 lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBU3</REFER_LANG>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 3</ALT_THAI>
				<ALT_ENG>Business Unit 3</ALT_ENG>
			</COMPONENT>
		</EBU3>
	
		<TBU4 lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBU4</REFER_LANG>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 4</ALT_THAI>
				<ALT_ENG>Business Unit 4</ALT_ENG>
			</COMPONENT>
		</TBU4>
		<EBU4 lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBU4</REFER_LANG>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 4</ALT_THAI>
				<ALT_ENG>Business Unit 4</ALT_ENG>
			</COMPONENT>
		</EBU4>
	
		<TBU5 lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EBU5</REFER_LANG>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 5</ALT_THAI>
				<ALT_ENG>Business Unit 5</ALT_ENG>
			</COMPONENT>
		</TBU5>
		<EBU5 lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TBU5</REFER_LANG>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>หน่วยงานที่ 5</ALT_THAI>
				<ALT_ENG>Business Unit 5</ALT_ENG>
			</COMPONENT>
		</EBU5>
	
		<TCORPERATE_TITLE lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>ECORPERATE_TITLE</REFER_LANG>
			<DESC_ENG>Corporate Title</DESC_ENG>
			<DESC_THAI>ตำแหน่งพิเศษ</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Corporate Title</ALT_ENG>
				<ALT_THAI>ตำแหน่งพิเศษ</ALT_THAI>
			</COMPONENT>
		</TCORPERATE_TITLE>
		<ECORPERATE_TITLE lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TCORPERATE_TITLE</REFER_LANG>
			<DESC_ENG>Corporate Title</DESC_ENG>
			<DESC_THAI>ตำแหน่งพิเศษ</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Corporate Title</ALT_ENG>
				<ALT_THAI>ตำแหน่งพิเศษ</ALT_THAI>
			</COMPONENT>
		</ECORPERATE_TITLE>
	
		<TEMP_GROUP lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EEMP_GROUP</REFER_LANG>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</TEMP_GROUP>
		<EEMP_GROUP lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TEMP_GROUP</REFER_LANG>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EEMP_GROUP>
	
		<TCOSTCENTER lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>ECOSTCENTER</REFER_LANG>
			<DESC_ENG>Cost Center</DESC_ENG>
			<DESC_THAI>Cost Center</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Cost Center</ALT_ENG>
				<ALT_THAI>Cost Center</ALT_THAI>
			</COMPONENT>
		</TCOSTCENTER>
		<ECOSTCENTER lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TCOSTCENTER</REFER_LANG>
			<DESC_ENG>Cost Center</DESC_ENG>
			<DESC_THAI>Cost Center</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Cost Center</ALT_ENG>
				<ALT_THAI>Cost Center</ALT_THAI>
			</COMPONENT>
		</ECOSTCENTER>
	
		<TWORKAREA lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EWORKAREA</REFER_LANG>
			<DESC_ENG>Working Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Working Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</TWORKAREA>
		<EWORKAREA lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TWORKAREA</REFER_LANG>
			<DESC_ENG>Working Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Working Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</EWORKAREA>
		
		<TTIME0 lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>ETIME0</REFER_LANG>
			<DESC_ENG>Time Work</DESC_ENG>
			<DESC_THAI>รหัสกะ</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Time Work</ALT_ENG>
				<ALT_THAI>รหัสกะ</ALT_THAI>
			</COMPONENT>
		</TTIME0>
		<ETIME0 lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TTIME0</REFER_LANG>
			<DESC_ENG>Time Work</DESC_ENG>
			<DESC_THAI>รหัสกะ</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Time Work</ALT_ENG>
				<ALT_THAI>รหัสกะ</ALT_THAI>
			</COMPONENT>
		</ETIME0>

		<TSALATYPE lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>ESALATYPE</REFER_LANG>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
		</TSALATYPE>
		<ESALATYPE lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TSALATYPE</REFER_LANG>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
		</ESALATYPE>

		<TPL lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EPL</REFER_LANG>
			<DESC_ENG>PL</DESC_ENG>
			<DESC_THAI>PL</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>PL</ALT_ENG>
				<ALT_THAI>PL</ALT_THAI>
			</COMPONENT>
		</TPL>
		<EPL lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TPL</REFER_LANG>
			<DESC_ENG>PL</DESC_ENG>
			<DESC_THAI>PL</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>60</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>PL</ALT_ENG>
				<ALT_THAI>PL</ALT_THAI>
			</COMPONENT>
		</EPL>



		<SALARY lang="A" encrypt="true" verify="false" log="false" type="Double">
			<WIDTH>25</WIDTH>
			<DESC_ENG>Salary</DESC_ENG>
			<DESC_THAI>เงินเดือน</DESC_THAI>
			<SECURITY>SalaryEmpSecurity</SECURITY>
			<COMPONENT type="text">
				<DEFAULTVALUE>0.00</DEFAULTVALUE>
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Salary</ALT_ENG>
				<ALT_THAI>เงินเดือนปัจจุบัน</ALT_THAI>
				<ONBLUR>checkNumFloat(this,0.00,9000000.00);</ONBLUR>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS> 
				<ONKEYUP>checkComma(this,2);</ONKEYUP> 
				<ONFOCUS>callDelComma(this);</ONFOCUS> 
			</COMPONENT>
		</SALARY>
		
		<CURRENCY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MCURRENCY</RELATION>
			<DESC_ENG>Currency</DESC_ENG>
			<DESC_THAI>อัตราการแลกเปลี่ยน</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="list">
				<SIZE>5</SIZE>
				<TABLE>MCURRENCYHELP,CURRENCYID,TDESC,  ,CURRENCYID</TABLE>
				<DEFAULTVALUE>B</DEFAULTVALUE>
				<ALT_ENG>Currency</ALT_ENG>
				<ALT_THAI>อัตราแลกเปลี่ยน</ALT_THAI>
			</COMPONENT>
		</CURRENCY>
		<EMP_EVERY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Salary Every</DESC_ENG>
			<DESC_THAI>อัตรารายได้ต่อ</DESC_THAI>
			<REQUIRE>true</REQUIRE>
			<COMPONENT type="list">
				<DEFAULTVALUE>M</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>5</SIZE>
				<VALIDCODE>HIRE_TYPE</VALIDCODE>
				<ALT_ENG>Salary Every</ALT_ENG>
				<ALT_THAI>อัตรารายได้ต่อ</ALT_THAI>
			</COMPONENT>
		</EMP_EVERY>

		

		<!-- ================================== END DATA ========================================= -->

		<ALLOW_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Other Allowance</DESC_ENG>
			<DESC_THAI>ค่าใช้จ่ายเพิ่มเติม</DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>2</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<ALT_ENG>Other Allowance</ALT_ENG>
				<ALT_THAI>ค่าใช้จ่ายเพิ่มเติม</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONCLICK>chkStatusAllw(this);</ONCLICK>
			</COMPONENT>
		</ALLOW_STATUS>
		
		<PROB_STATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Probation Period</DESC_ENG>
			<DESC_THAI>ช่วงทดลองงาน</DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Probation Period</ALT_ENG>
				<ALT_THAI>ช่วงทดลองงาน</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONCLICK>chkStatus(this);</ONCLICK>
			</COMPONENT>
		</PROB_STATUS>
		
		<PROB_START lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>From</DESC_ENG>
			<DESC_THAI>จาก</DESC_THAI>
			<COMPONENT type="calendar">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>From</ALT_ENG>
				<ALT_THAI>จาก</ALT_THAI>
			</COMPONENT>
		</PROB_START>
		<PROB_FINISH lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>To</DESC_ENG>
			<DESC_THAI>ถึง</DESC_THAI>
			<COMPONENT type="calendar">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>To</ALT_ENG>
				<ALT_THAI>ถึง</ALT_THAI>
			</COMPONENT>
		</PROB_FINISH>


		<TIME_IN_POST lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Change time in post</DESC_ENG>
			<DESC_THAI>เปลี่ยน Time in post</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Change time in post</ALT_ENG>
				<ALT_THAI>เปลี่ยน Time in post</ALT_THAI>
				<VALIDCODE>YESNO</VALIDCODE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</TIME_IN_POST>


	</FIELD>
	
	<RELATION>

		<MCURRENCY mode="-1">
			<PARENT>HPREADJPOSITION.CURRENCY</PARENT>
			<PARENT>HPREADJPOSITION.COMPANYID</PARENT>
	 		<CHILD>MCURRENCY.CURRENCYID</CHILD>
			<CHILD>MCURRENCY.COMPANYID</CHILD>
		</MCURRENCY>
		
		<MEMPLOYEE mode="-1">
			<PARENT>HPREADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>HPREADJPOSITION.COMPANYID</PARENT>
			<CHILD>MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>MEMPLOYEE.COMPANYID</CHILD>
		</MEMPLOYEE>
		<V1MEMPLOYEE rtablename="MEMPLOYEE" mode="-1">
			<PARENT>HPREADJPOSITION.SIGNBY</PARENT>
			<PARENT>HPREADJPOSITION.COMPANYID</PARENT>
			<CHILD>V1MEMPLOYEE.EMPLOYEEID</CHILD>
			<CHILD>V1MEMPLOYEE.COMPANYID</CHILD>
		</V1MEMPLOYEE>

		<VW_HPREADJPOSITION>
			<PARENT>HPREADJPOSITION.EMPLOYEEID</PARENT>
			<PARENT>HPREADJPOSITION.COMPANYID</PARENT>
			<PARENT>HPREADJPOSITION.EFF_DATE</PARENT>
	 		<CHILD>VW_HPREADJPOSITION.EMPLOYEEID</CHILD>
			<CHILD>VW_HPREADJPOSITION.COMPANYID</CHILD>
			<CHILD>VW_HPREADJPOSITION.EFF_DATE</CHILD>
		</VW_HPREADJPOSITION>


	</RELATION>
</HPREADJPOSITION>
